#
# spec file for package php5-pear-Net_LDAP2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Net_LDAP2
%define         pear_name  Net_LDAP2
%define         pear_sname net_ldap2
Summary:        Object oriented interface for searching and manipulating LDAP-entries
License:        LGPL-3.0
Group:          Productivity/Networking/Web/Servers
Version:        2.1.0
Release:        6.1
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source0:        %{pear_name}-%{version}.tgz
Source1:        LICENSE
Provides:       php-pear-Net_LDAP2 = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 5.0
%if 0%{?sles_version} == 10
BuildRequires:  php-macros
%else
BuildRequires:  php-devel >= 5.0
%endif
BuildRequires:  php-pear >= 1.5.0
Requires:       php >= 5.0
Requires:       php-ldap
Requires:       php-pear >= 1.5.0
#pecl extension. No separate project, comes with php5 project

Provides:       pear-%{pear_name}
Provides:       php-pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Net_LDAP2 is the successor of Net_LDAP which is a clone of Perls Net::LDAPobject interface to directory servers. 
It does contain most of Net::LDAP's features but has some own too. 
With Net_LDAP2 you have:
 * A simple object-oriented interface to connections, searches entries and filters.
 * Support for tls and ldap v3.
 * Simple modification, deletion and creation of ldap entries.
 * Support for schema handling.

Net_LDAP2 layers itself on top of PHP's existing ldap extensions.

%prep

%setup -c 
%{__cp} %{SOURCE1} .

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --force --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc LICENSE

%changelog
* Sat Mar  1 2014 lars@linux-schulserver.de
- update to 2.1.0
  * New feature: Filter::matches() can do simple filtering on entry
    sets (supported: equals, contain, begin, end, any; NOT, AND, OR.
    Filtering is simple based on regexp, no schema checks and
    matchRules yet!)
  * Fixed minor bugs in Filter, LDAP and Entry class
  * Util::split_attribute_string(): Added support for extended
    match operators from filters
  * Util::split_attribute_string(): Added support for
    delimeter retrieval
- provide php-pear-Net_LDAP2
* Fri Feb  1 2013 aj@ajaissle.de
- New upstream release 2.0.12
  * inmproved performance with large search results
  * Fixed some minor issues with Net_LDAP2_Filter and Net_LDAP2->dnExists()
  * Added NOT filter to Net_LDAP2_Filter::create() so negating is more easily now
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Feb  7 2011 lang@b1-systems.de
- Added license file
* Mon Jan 31 2011 lang@b1-systems.de
- LGPLv3 license
* Wed Jan 26 2011 lang@b1-systems.de
- add dependency on php pecl module ldap as stated in pear
* Wed Jan 26 2011 lang@b1-systems.de
- packaged with php-macros and a template spec
